##
## Settings specific to SMTP Submission
##

# SMTP Submission logout format string:
#  %i - total number of bytes read from client
#  %o - total number of bytes sent to client
#  %{command_count} - Number of commands received from client
#  %{reply_count} - Number of replies sent to client
#  %{session} - Session ID of the login session
#  %{transaction_id} - ID of the current transaction, if any
#submission_logout_format = in=%i out=%o

# Host name reported by the SMTP service, for example to the client in the
# initial greeting and to the relay server in the HELO/EHLO command.
# Default is the system's real hostname@domain.
#hostname =

# Maximum size of messages accepted for relay. This announced in the SIZE
# capability. If not configured, this is either determined from the relay
# server or left unlimited if no limit is known (relay will reply with error
# if some unknown limit exists there, which is duly passed to our client).
#submission_max_mail_size =

# Maximum number of recipients accepted per connection (default: unlimited)
#submission_max_recipients =

# Workarounds for various client bugs:
#   whitespace-before-path:
#     Allow one or more spaces or tabs between `MAIL FROM:' and path and between
#     `RCPT TO:' and path.
#   mailbox-for-path:
#     Allow using bare Mailbox syntax (i.e., without <...>) instead of full path
#     syntax.
#
# The list is space-separated.
#submission_client_workarounds =

# Relay server configuration:
#
# The Dovecot SMTP submission service directly proxies the mail transaction
# to the SMTP relay configured here.

# Host name for the relay server (required)
submission_relay_host = smtp

# Port for the relay server
#submission_relay_port = 25

# Is the relay server trusted? This determines whether we try to send
# (Postfix-specific) XCLIENT data to the relay server
submission_relay_trusted = yes

# Authentication data for the relay server if authentication is required
#submission_relay_user =
#submission_relay_master_user =
#submission_relay_password =

# SSL configuration for connection to relay server
#
# submission_relay_ssl:
#   Indicates whether SSL is used for the connection to the relay server. The
#   following values are defined for this setting:
#
#     no        - No SSL is used
#     smtps     - An SMTPS connection (immediate SSL) is used
#     starttls  - The STARTTLS command is used to establish SSL layer
#submission_relay_ssl = no

# submission_relay_ssl_verify:
#   Configures whether the SSL certificate of the relay server is to be
#   verified.
#submission_relay_ssl_verify = yes

# Write protocol logs for relay connection to this directory for debugging
#submission_relay_rawlog_dir =

# BURL is configured implicitly by IMAP URLAUTH

# Part of the SMTP capabilities that the submission service can offer to the
# client (as listed in the EHLO reply) depend on those capabilities also being
# provided by the relay server. These capabilities currently are:
#
#   - 8BITMIME
#   - BINARYMIME
#   - DSN
#   - VRFY (always returns 252 without support)
#
# By default, the submission service first connects to the relay server to
# determine the support for such capabilities before sending the initial EHLO
# reply to the client. If the list of capabilities returned by the relay server
# is somehow unreliable or it is undesirable to start the connection to the
# relay server before the first mail transaction is started, the backend
# capabilities can be configured explicitly using the
# submission_backend_capabilities setting. This is a space-separated list of
# SMTP capability names. This setting is only relevant for capabilities that
# depend on support from the relay server: including (or omitting) capabilities
# that are not listed above has no effect. When this setting is explicitly set
# to the empty string, none of the capabilities is enabled. To achieve the
# default behavior, this setting must be left unconfigured.
#submission_backend_capabilities =

protocol submission {
  # Space-separated list of plugins to load (default is global mail_plugins).
  #mail_plugins = $mail_plugins

  # Maximum number of SMTP submission connections allowed for a user from
  # each IP address.
  # NOTE: The username is compared case-sensitively.
  #mail_max_userip_connections = 10
}

